#
# spec file for package ssl-cert-check
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ssl-cert-check
Version:        4.11git.1556282902.f3fc941
Release:        2.2
Summary:        Shell script to send notifications when SSL certificates are about to expire
License:        GPL-2.0-only
Group:          Productivity/Security
URL:            https://prefetch.net/articles/checkcertificate.html
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  xz
Requires:       bash
Requires:       coreutils
Requires:       findutils
Requires:       gawk
Requires:       grep
Requires:       openssl
Requires:       sed
Recommends:     mailx
Provides:       monitoring-plugins-ssl-cert-check = 3.29
Obsoletes:      monitoring-plugins-ssl-cert-check <= 3.29
BuildArch:      noarch

%description
ssl-cert-check is a Bourne shell script that can be used to report on expiring
SSL certificates. The script was designed to be run from cron and can e-mail
warnings or log alerts through nagios.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}/%{_bindir}
sed -e "s|/usr/bin/env bash|/bin/bash|g" ssl-cert-check > %{buildroot}/%{_bindir}/ssl-cert-check
chmod 0755 %{buildroot}/%{_bindir}/ssl-cert-check

%files
%if 0%{?suse_version} >= 1500
%license LICENSE*
%else
%license LICENSE*
%endif
%doc README*
%{_bindir}/ssl-cert-check

%changelog
* Fri May 17 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Actually drop fix-shebang.patch: the last change replaced the
  patch usage with sed, but the patch was not actually removed from
  the package. This in turn blocked submissions to Factory.
- Set services to "manual": nothing worse than services running
  uncontrolled.
* Tue Feb 25 2020 Lars Vogdt <lars@linux-schulserver.de>
- Version 4.14
  - Fixed HOST / PORT discovery @mhow2
  - Reverted the file checking logic which breaks $RETCODE
  - Fixed various logic errors and typos -- Daniel Lewart
- replace patch by sed line in install section
* Mon Aug  5 2019 Karol Babioch <kbabioch@suse.com>
- Version 4.10
  - Replace tabs with spaces
  - More shllcheck cleanup work
  - Remove unused DEBUG variable
  - Fixed an innocuous whitespace bug in TLSFLAG variable creation
  - Set the default TLS version to 1.1 (can be overridden with -v)
  - Switched openssl CLI options to use an array. The reasons why
    are documented here: http://mywiki.wooledge.org/BashFAQ/050
- Refreshed fix-shebang.patch
- Refreshed changes file
- Applied spec-cleaner
* Tue Feb 12 2019 Karol Babioch <kbabioch@suse.de>
- Refreshed fix-shebang.patch
- Version 4.9
  - Add a signal handler to call the cleanup funtion if the script doesn't
    exit() cleanly -- Timothe Litt
- Version 4.8
  - More mail client fixes
- Version 4.7
  - Revert SENDER to ""
  - More shellcheck cleanup
- Version 4.6
  - Fixed programming logic error
- Version 4.5
  - Re-work mailx support for FreeBSD
  - More shellcheck fixes
- Version 4.4
  - Use command -v instead of which utility to satisfy shellcheck.
  - Fix unquoted MAIL and MAILMODE variables in help output
  - More shellcheck fixes
- Version 4.3
  - Fixed a typo in the program version
- Version 4.2
  - Change CERTDAYS to CERTDIFF in the e-mail subject.
- Version 4.1
  - Fix usage output
- Version 4.0
  - Updated the script syntax to align with UNIX shell programming
  - Check for DNS resolution failures
  - First round of updates to make shellcheck happy
  - Rework the logic to call mailx.
  - Print the version with the "-V" option.
  - Define the version in the PROGRAMVERSION variable
* Fri Jan 25 2019 lars@linux-schulserver.de
- build require xz to make sure the sources can be unpacked
- re-introduce buildroot and defattr definitions, as the package
  otherwise fails on SLE-11 and other distributions
- license macro is only known on newer (open)SUSE distributions
* Sat Jan 12 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in summary.
* Fri Jan 11 2019 Karol Babioch <kbabioch@suse.de>
- Make services localonly
* Mon Nov 12 2018 Karol Babioch <kbabioch@suse.com>
- Added Provides/Obsoletes for monitoring-plugins-ssl-cert-check
* Mon Nov 12 2018 Karol Babioch <kbabioch@suse.com>
- Require bash
- Fix shebang line to /bin/bash
* Tue Nov  6 2018 Karol Babioch <kbabioch@suse.com>
- Initial packaging of version 3.31
